import init from '../../init'
import {TestUtil} from 'vue-client'
import AdjustPos from 'src/components/function/AdjustFunPos'
import * as Util from 'src/components/Util'

describe('调整位置测试', () => {
  let vm = null
  before(() => {
    init()
    vm = TestUtil.createTest(AdjustPos, {data: {id: '1531'}})
  })

  after(function () {
  })

  it('组件能够正确显示', (done) => {
    vm.$login = {f: {id: '1531'}}
    Util.loadRightResource(vm).then(() => {
      vm.model = Util.f
      vm.$nextTick(() => {
        done()
      })
    })
  })

  it('选择调整位置', (done) => {
    // 选中超级管理员
    let res = Util.getResourceById('11')
    vm.$refs.tree.select(res)
    vm.$nextTick(() => {
      done()
    })
  })

  it('保存', (done) => {
    // 保存
    vm.save().then(() => {
      done()
    })
  })
})
